import { PageData } from "https://deno.land/x/lume@v1.11.4/core.ts";
import Favicon from "../../_components/favicon.tsx";
import Image from "../../_components/image.tsx";
import Footer from "../../_components/footer.tsx";
export const layout = "layouts/_main.njk";

export default (data: PageData) => (
  <html lang="en">
    <head>
      <title>{data.site.endpoint} Nameserver</title>
      <meta charSet="utf-8" />
      <meta name="viewport" content="width=device-width" />
      <Favicon char={data.body as string} />
      {/* @ts-ignore */}
      <link rel="stylesheet" href="../styles.css" inline />
    </head>
    <body>
      <Image char={data.body as string} />
      <Footer source={data.site.source} name={data.site.name} contact={data.site.contact} />
    </body>
  </html>
);
